﻿using FreeSql.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZhonTai.Admin.Core.Entities;

namespace ZhonTai.Admin.Domain.Project
{
    /// <summary>
    /// 项目统计
    /// </summary>
    [Table(Name = "ditui_project_stat")]
    public class ProjectStatEntity : EntityTenant
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        public long? UsedUserId { get; set; }
        /// <summary>
        /// 项目Id
        /// </summary>
        public long ProjectId { get; set; }
        /// <summary>
        /// 编号
        /// </summary>
        public string Num { get; set; }
        /// <summary>
        /// 作业日期
        /// </summary>
        public DateTime EffectDate { get; set; }
        /// <summary>
        /// 作业日期
        /// </summary>
        public int EffectDateNum { get; set; }        
        /// <summary>
        /// 项目价格Id
        /// </summary>
        public long ProjectPriceId { get; set; }
        /// <summary>
        /// 结算标准
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 有效数量
        /// </summary>
        public int ValidCount { get; set; }
        /// <summary>
        /// 佣金单价
        /// </summary>
        public decimal CommissionPrice { get; set; }
        /// <summary>
        /// 是否结算 1结算 0未结算
        /// </summary>
        public int IsSettle { get; set; } = 0;
        /// <summary>
        /// 结算时间
        /// </summary>
        public DateTime? SettleTime { get; set; }
    }
}
